\exo{}
\q Calculer $\displaystyle I = \int_0^{\frac{\pi}{4}}{\ln(1+\tan x) \mathrm{d}x}$. \textit{On pourra regarder le changement de variables $t = \frac{\pi}{4} - x$}

\q En déduire $\displaystyle J = \int_0^1{\frac{\arctan x}{1+x} \mathrm{d}x}$.







\ifwithcorrection \correction
\q On suit l'indication,
\begin{align*}
  I &= \int_{\frac{\pi}{4}}^0{\ln \left( 1 + \tan \left( \frac{\pi}{4}-t \right) \right) (-\mathrm{d}t)} \\
    &= \int_0^{\frac{\pi}{4}}{\ln\left(1+ \frac{1-\tan t}{1+ \tan t} \mathrm{d}t\right)} \\
    &= \int_0^{\frac{\pi}{4}}{\ln\left(\frac{2}{1+ \tan t}\right) \mathrm{d}t} \\
    &= \frac{\pi}{4}\ln 2 - I
\end{align*}

Finalement, \concl{$I = \frac{\pi}{8}\ln(2)$}

\q Avec l'arctan on pense à une IPP :
\begin{align*}
  J &= \left[ \arctan x \ln(1+x) \right]_0^1 - \int_0^1{\frac{1}{1+x^2} \ln(1+x) } \\
    &=\frac{\pi}{4}\ln (2) - \int_0^{\frac{\pi}{4}}{\ln(1+\tan t) \mathrm{d}t}
\end{align*}
Finalement,
\concl{$J = \frac{\pi}{4}\ln(2) - \frac{\pi}{8}\ln(2) = \frac{\pi}{8}\ln 2$}
\fi
